$ErrorActionPreference = 'Stop'; # stop on all errors

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://win-installers.admobilize.com/admobilize-viewer/admobilize-desktop-ui-1.0.5-beta-win32-ia32.msi'
$url64 = 'https://win-installers.admobilize.com/admobilize-viewer/admobilize-desktop-ui-1.0.5-beta-win32-x64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64         = $url64
  softwareName  = 'admobilize-viewer*'
  checksum      = '5677D9A54BF808FDCB600EBE33342FCEA980E2271F7DD52C9174413740E457A8'
  checksum64    = '961AD413106BC5863DF77214E7B13A83ECAC52DC11C3E8E2862590275CC865D7'
  checksumType  = 'sha256'
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
Install-ChocolateyPath "${env:ProgramFiles(x86)}\AdMobilize Desktop UI" -PathType 'Machine'
